#vertexshader

void main()
{
	gl_Position = ftransform();
	gl_TexCoord[0] = gl_MultiTexCoord0;
}

#fragmentshader

uniform sampler2D color_texture;

void main()
{
	vec4 c = texture2D(color_texture, gl_TexCoord[0].xy);
	gl_FragColor = vec4(c.rgb*2.0, c.a);
}
